format_version: v1.0
type: UniqueComponent
attributes: {id: pwm1}
children:
- type: Symbols
  children:
  - type: String
    attributes: {id: INTR_PWM_FAULT}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_IRQn}
  - type: String
    attributes: {id: PWM_CALLBACK_API}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_CallbackRegister}
  - type: Integer
    attributes: {id: PWM_CH_2_CDTY}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: KeyValueSet
    attributes: {id: PWM_CH_2_CMR_CALG}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: KeyValueSet
    attributes: {id: PWM_CH_2_CMR_CPOL}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: KeyValueSet
    attributes: {id: PWM_CH_2_CMR_CPRE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Boolean
    attributes: {id: PWM_CH_2_CMR_DTE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Integer
    attributes: {id: PWM_CH_2_CPRD}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Boolean
    attributes: {id: PWM_CH_2_ENABLE}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: 'true'}
  - type: Boolean
    attributes: {id: PWM_CH_2_FAULT_ENABLE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Comment
    attributes: {id: PWM_CH_2_FREQ_COMMENT}
    children:
    - type: Attributes
      children:
      - type: String
        attributes: {id: text}
        children:
        - {type: Value, value: '**** PWM Frequency is 10000.0 Hz ****'}
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Boolean
    attributes: {id: PWM_CH_2_IER1_CHID}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Boolean
    attributes: {id: PWM_CH_2_SYNCENABLE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Comment
    attributes: {id: PWM_CLK_ENABLE_COMMENT}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'false'}
  - type: String
    attributes: {id: PWM_GET_PERIOD_API}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_ChannelPeriodGet}
  - type: String
    attributes: {id: PWM_OUTPUT_DISABLE_API}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_ChannelOverrideDisable}
  - type: String
    attributes: {id: PWM_OUTPUT_ENABLE_API}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_ChannelOverrideEnable}
  - type: Hex
    attributes: {id: PWM_PH_MASK}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: '7'}
  - type: String
    attributes: {id: PWM_PH_U}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM_CHANNEL_0}
  - type: String
    attributes: {id: PWM_PH_V}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM_CHANNEL_1}
  - type: String
    attributes: {id: PWM_PH_W}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM_CHANNEL_2}
  - type: String
    attributes: {id: PWM_SET_DUTY_API}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_ChannelDutySet}
  - type: String
    attributes: {id: PWM_START_API}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_ChannelsStart}
  - type: String
    attributes: {id: PWM_STOP_API}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: pwm1, value: PWM1_ChannelsStop}
- type: ElementPosition
  attributes: {x: '382', y: '394', id: pwm1}
